Subject: Re: bug#49219: Acknowledgement ([PATCH]: Update emacs-telega.)

From: Leo Prikler <[email-masked]>
Date: Fri, 25 Jun 2021 08:23:54 +0200

Am Freitag, den 25.06.2021, 14:02 +0800 schrieb Zhu Zihao:
> Update patches:
W.r.t. the propagation of ffmpeg and libwebp I don't think we'd want to
force either onto the user (particularly ffmpeg might collide with a
different version they've already installed).  If finding and replacing
all instances of "ffmpeg" with its full path is too broad, perhaps you
could add procedures that find it or replace instances of ffmpeg as a
binary with @ffmpeg@.  I think a variable or procedure called telega-
ffmpeg-command might even be acceptable by upstream and broader Emacs
standards.
If on the other hand you want the user's versions of those packages to
be the one that's used, simply don't propagate it.

Regards,
Leo